Bug 864980 - cura-networking: missing overflow check in LIST_IMPL
cura-networking: missing overflow check in LIST_IMPL
Product: Fedora
Classification: Fedora
Component: cura-networking (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
Depends On:
Blocks: 864846
  Show dependency treegraph
Reported: 2012-10-10 10:42 EDT by Florian Weimer
Modified: 2016-11-30 19:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-15 06:18:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2012-10-10 10:42:50 EDT
The LIST_IMPL macro expands to code which does not check for an overflow during the size calculation for malloc and realloc.

malloc and realloc failures are not checked properly.

Note You need to log in before you can comment on or make changes to this bug.